compatible Atari models with CosmosEX

News, questions and bugs reports about CosmosEx by Jookie. Now we have a Raspberry Pi in our machines!

Moderators: Jookie, Moderator Team

Android8675
Atariator
Atariator
Posts: 25
Joined: Thu Jul 28, 2011 5:43 pm

Re: compatible Atari models with CosmosEX

Post by Android8675 »

You are too late Jookie-san, I just popped in 1.04 roms, the cosmo is working normally now. I don't have time tonight to get software installed, but it's operating normally under 1.04 TOS.

Dunno if the update you just posted fixed 1.00 TOS, if you're desperate to find out I might be convinced to swap the 1.00 TOS roms back in and see what happens. Let me know.
-A>
User avatar
Jookie
Hardware Guru
Hardware Guru
Posts: 1252
Joined: Wed Feb 04, 2004 6:54 pm
Location: Kosice, Slovakia
Contact:

Re: compatible Atari models with CosmosEX

Post by Jookie »

Android8675 wrote:You are too late Jookie-san, I just popped in 1.04 roms, the cosmo is working normally now. I don't have time tonight to get software installed, but it's operating normally under 1.04 TOS.
Good to hear that you got it working :)
Android8675 wrote:Dunno if the update you just posted fixed 1.00 TOS, if you're desperate to find out I might be convinced to swap the 1.00 TOS roms back in and see what happens. Let me know.
Naah, I have at least 2 other TOS 1.00 users, and it seems to be working better on my TOS 1.00, so I'll just wait for the other 2 guys to respond.
ryan
Obsessive compulsive Atari behavior
Obsessive compulsive Atari behavior
Posts: 116
Joined: Fri Nov 07, 2014 12:17 am

Re: compatible Atari models with CosmosEX

Post by ryan »

It now boots correctly on my machine where the 4-bombs were happening before. I haven't checked ROM version yet, but pretty sure it's 1.0.

The other 1040 STF fails still, I have no way of figuring out the TOS version on that since I have no working floppy or hard drive for it :-) In that case it just hangs at 'CEDD bootloader'
User avatar
Jookie
Hardware Guru
Hardware Guru
Posts: 1252
Joined: Wed Feb 04, 2004 6:54 pm
Location: Kosice, Slovakia
Contact:

Re: compatible Atari models with CosmosEX

Post by Jookie »

ryan wrote:It now boots correctly on my machine where the 4-bombs were happening before. I haven't checked ROM version yet, but pretty sure it's 1.0.

The other 1040 STF fails still, I have no way of figuring out the TOS version on that since I have no working floppy or hard drive for it :-) In that case it just hangs at 'CEDD bootloader'
OK, so for the 1st machine - good, but I got a reply from other user that there are some other issues with that machine, e.g. when you open CE_CONF, then you got a lots of 'communication lost' messages.

The 2nd machine - I don't have a idea what's happening there, my 520 ST with TOS 1.00 behaves like your 1st machine...
ryan
Obsessive compulsive Atari behavior
Obsessive compulsive Atari behavior
Posts: 116
Joined: Fri Nov 07, 2014 12:17 am

Re: compatible Atari models with CosmosEX

Post by ryan »

Just got a Mega 2, looks like stock roms so TOS 1.02. Has blitter upgrade.

With CosmosEx running externally ACSI, I have the same behaviour as described above with one of my 1040STFs -- hits "CEDD bootloader" message, but does not advance beyond it. Happens with or without floppy cable attached. Holding down control while booting skips the CEDD but of course CE does not install.
User avatar
Jookie
Hardware Guru
Hardware Guru
Posts: 1252
Joined: Wed Feb 04, 2004 6:54 pm
Location: Kosice, Slovakia
Contact:

Re: compatible Atari models with CosmosEX

Post by Jookie »

ryan wrote:Just got a Mega 2, looks like stock roms so TOS 1.02. Has blitter upgrade.
With CosmosEx running externally ACSI, I have the same behaviour as described above with one of my 1040STFs -- hits "CEDD bootloader" message, but does not advance beyond it. Happens with or without floppy cable attached. Holding down control while booting skips the CEDD but of course CE does not install.
Damn it... It's boots fine with my TOS 1.00, TOS 1.02 and TOS 2.0x (Mega STE), but there's obviously some catch here... One more thing - do you see 'CEDD bootloader' message, or 'CEDD booter'? Because you should see the 2nd, not the 1st.
ryan
Obsessive compulsive Atari behavior
Obsessive compulsive Atari behavior
Posts: 116
Joined: Fri Nov 07, 2014 12:17 am

Re: compatible Atari models with CosmosEX

Post by ryan »

I'll check when I get home.
ryan
Obsessive compulsive Atari behavior
Obsessive compulsive Atari behavior
Posts: 116
Joined: Fri Nov 07, 2014 12:17 am

Re: compatible Atari models with CosmosEX

Post by ryan »

So yeah, "CEDD booter". No bombs, just hangs.
ryan
Obsessive compulsive Atari behavior
Obsessive compulsive Atari behavior
Posts: 116
Joined: Fri Nov 07, 2014 12:17 am

Re: compatible Atari models with CosmosEX

Post by ryan »

Updated my CE tonight with latest release, still the same issue.
grizaptimus
Retro freak
Retro freak
Posts: 10
Joined: Tue Jan 18, 2011 10:04 pm

Re: compatible Atari models with CosmosEX

Post by grizaptimus »

Hey there, does anyone know, or has anyone tested this with the falcon030? I haven't seen anything saying it is supported, so I'm guessing not, but I am really hoping that I'm wrong in this case.
User avatar
Jookie
Hardware Guru
Hardware Guru
Posts: 1252
Joined: Wed Feb 04, 2004 6:54 pm
Location: Kosice, Slovakia
Contact:

Re: compatible Atari models with CosmosEX

Post by Jookie »

grizaptimus wrote:Hey there, does anyone know, or has anyone tested this with the falcon030? I haven't seen anything saying it is supported, so I'm guessing not, but I am really hoping that I'm wrong in this case.
Falcon doesn't have the ACSI port, so you can't connect CosmosEx there ;)
highway
Atariator
Atariator
Posts: 25
Joined: Wed Dec 31, 2014 1:17 pm

Re: compatible Atari models with CosmosEX

Post by highway »

Hello

I ve got an atari stf with 4mo and a tos 1.0
Would the cosmoex work on my setup?

Thanks in advance
User avatar
Jookie
Hardware Guru
Hardware Guru
Posts: 1252
Joined: Wed Feb 04, 2004 6:54 pm
Location: Kosice, Slovakia
Contact:

Re: compatible Atari models with CosmosEX

Post by Jookie »

highway wrote:I ve got an atari stf with 4mo and a tos 1.0
Would the cosmoex work on my setup?
Hello,

TOS 1.0 is not a good choice for hard disks, plus there's some interference on hard disk (ACSI) port from something other (probably TOS polling something and not locking FLOCK semaphore), so it doesn't work well (it's really bad). Unless a coder / developer will appear with a knowledge how to fix this issue with interference, I would rather recommend upgrading the TOS to something newer (or not buying the device to avoid frustration).

Jookie
highway
Atariator
Atariator
Posts: 25
Joined: Wed Dec 31, 2014 1:17 pm

Re: compatible Atari models with CosmosEX

Post by highway »

Hello Jookie
Thank you for such a quick answer !
Not the one I wanted, but that's fair ! I appreciate.

My Atari has a TOS in 6 small boxes, and all 1.04 TOS I found are selled in a 2 boxes ROM...
So far I blocked, I keep on searching :)

Thanks, and I hope to be able to upgrade !

Highway
User avatar
Jookie
Hardware Guru
Hardware Guru
Posts: 1252
Joined: Wed Feb 04, 2004 6:54 pm
Location: Kosice, Slovakia
Contact:

Re: compatible Atari models with CosmosEX

Post by Jookie »

highway wrote:Thank you for such a quick answer !
Not the one I wanted, but that's fair ! I appreciate.
You know, keeping you out of disappointment and trouble is also beneficial for me - it keeps me away from depressed or angry e-mails and forum posts :-D so I'm doing this also for myself ;)
highway wrote:My Atari has a TOS in 6 small boxes, and all 1.04 TOS I found are selled in a 2 boxes ROM...
I guess you could somehow change this by using 2 ROMs and a wire connection on the right place - it should have a 'switch' between different ROM types (and I guess one of my STs has 6 slots on board, but only 2 chips present), so you should look around on this forum for TOS upgrade threads and other info...
highway
Atariator
Atariator
Posts: 25
Joined: Wed Dec 31, 2014 1:17 pm

Re: compatible Atari models with CosmosEX

Post by highway »

You're right !!
I will have a look for a 1.4 tos in 6 chips.... and then look again on the CosmoEX !
It may allow to browse the web in a few month I guess when I see how fast you implement new features !
User avatar
Jookie
Hardware Guru
Hardware Guru
Posts: 1252
Joined: Wed Feb 04, 2004 6:54 pm
Location: Kosice, Slovakia
Contact:

Re: compatible Atari models with CosmosEX

Post by Jookie »

highway wrote:It may allow to browse the web in a few month I guess when I see how fast you implement new features !
I wouldn't focus too much on browsing the web on ST - it might be slow as hell (images are not large and their conversion to something that ST can display takes time), but if someone would come up with a good idea how to replace old ST browsers with something better (which would have part of the preprocessing in CosmosEx), then it could be better - but that is too far from realization right now.

Ow, and many interesting features come also from other people, e.g. tIn/absence :)
highway
Atariator
Atariator
Posts: 25
Joined: Wed Dec 31, 2014 1:17 pm

Re: compatible Atari models with CosmosEX

Post by highway »

Hello Jookie !
As my STF 1.00 can't be compatible, I found a STE.
But I read about but DMA chip. Can you confirm a STE may have issue or will this one be OK ?

I will post in the wish list for the idea regarding the web
User avatar
Jookie
Hardware Guru
Hardware Guru
Posts: 1252
Joined: Wed Feb 04, 2004 6:54 pm
Location: Kosice, Slovakia
Contact:

Re: compatible Atari models with CosmosEX

Post by Jookie »

highway wrote:As my STF 1.00 can't be compatible, I found a STE.
But I read about but DMA chip. Can you confirm a STE may have issue or will this one be OK ?
The best thing would be to try it instead of trying to guess it. If you do have any ACSI device (other SD card reader? Hard drive which you can overwrite?), then you could run a read/write test to see if it's OK or not... Or if you do have a friend around which does have an ACSI device. Otherwise it would be just a wild guess.
Post Reply

Return to “CosmosEx”